Bug 1861216 - Review Request: aml - Another Main Loop
Summary: Review Request: aml - Another Main Loop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aleksei Bavshin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-28 05:36 UTC by Bob Hepple
Modified: 2020-08-14 02:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-14 00:42:00 UTC
Type: ---
alebastr89: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-07-28 05:36:54 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/wef/aml/fedora-31-x86_64/01578613-aml/aml.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/aml/fedora-31-x86_64/01578613-aml/aml-0.1.0-1.fc31.src.rpm

Description: Another Main Loop (required for the next release of neatvnc/wayvnc)

Fedora Account System Username: wef

Comment 1 Elliott Sales de Andrade 2020-08-02 23:31:35 UTC
Can you condense the description into something more, well, descriptive? A list of features and goals is nice for a thing when you know what it is already, but the description should at least explain what the package is.

Comment 2 Bob Hepple 2020-08-03 00:01:30 UTC
Thanks Elliott,

I've added a couple of lines to the description:

Event loop handler developed for wayvnc (Wayland VNC server) and
wlvncc (Wayland VNC client) - see https://github.com/any1
...

SPEC URL: https://download.copr.fedorainfracloud.org/results/wef/aml/fedora-31-x86_64/01590964-aml/aml.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/aml/fedora-31-x86_64/01590964-aml/aml-0.1.0-2.fc31.src.rpm

Comment 3 Aleksei Bavshin 2020-08-04 03:35:37 UTC
Approved.
Please, address following before import:

> License: ISC
There's a BSD-licensed include/sys/queue.h in the source tree. Thus, `ISC and BSD` (and the usual comment on licensing breakdown).

> %description
Would be nice to format lists better. You can just copy lists from upstream markdown source[1]. FreeBSD maintainer used similar formatting[2].

[1] https://raw.githubusercontent.com/any1/aml/master/README.md
[2] https://www.freshports.org/devel/aml/



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: aml-0.1.0-2.fc33.x86_64.rpm
          aml-devel-0.1.0-2.fc33.x86_64.rpm
          aml-debuginfo-0.1.0-2.fc33.x86_64.rpm
          aml-debugsource-0.1.0-2.fc33.x86_64.rpm
          aml-0.1.0-2.fc33.src.rpm
aml.x86_64: W: spelling-error %description -l en_US wayvnc -> waylay
aml.x86_64: W: spelling-error %description -l en_US wlvncc 
aml-devel.x86_64: W: no-documentation
aml.src: W: spelling-error %description -l en_US wayvnc -> waylay
aml.src: W: spelling-error %description -l en_US wlvncc 
5 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 5 Gwyn Ciesla 2020-08-04 13:14:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/aml

Comment 6 Fedora Update System 2020-08-05 01:00:11 UTC
FEDORA-2020-4869a7e488 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4869a7e488

Comment 7 Fedora Update System 2020-08-05 01:12:57 UTC
FEDORA-2020-0b2fcdff6e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b2fcdff6e

Comment 8 Fedora Update System 2020-08-06 04:09:32 UTC
FEDORA-2020-4869a7e488 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4869a7e488 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4869a7e488

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-06 04:42:16 UTC
FEDORA-2020-0b2fcdff6e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-0b2fcdff6e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b2fcdff6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-08-14 00:42:00 UTC
FEDORA-2020-4869a7e488 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-08-14 02:43:24 UTC
FEDORA-2020-0b2fcdff6e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.